com.pdflib

## Class PDFlibException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.pdflib.PDFlibException

- All Implemented Interfaces:
    java.io.Serializable

      public class PDFlibException
      extends java.lang.Exception

  Exception handling for PDFlib.
  Version:
    11.0.0
  Author:
    PDFlib GmbH
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFlibException()` PDFlibException()
    `PDFlibException(java.lang.String msg)` PDFlibException(String msg)
    `PDFlibException(java.lang.String msg, int errnum, java.lang.String apiname)` PDFlibException(String msg, int errnum, String apiname)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get_apiname()` Get the name of the API function which caused the exception.
    `java.lang.String` | `get_errmsg()` Map standard getMessage method to get_errmsg.
    `int` | `get_errnum()` Get the error number of the exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFlibException

          public PDFlibException()

      PDFlibException()

    - #### PDFlibException

          public PDFlibException(java.lang.String msg)

      PDFlibException(String msg)
      Parameters:
        `msg` - msg

    - #### PDFlibException

          public PDFlibException(java.lang.String msg,
                                 int errnum,
                                 java.lang.String apiname)

      PDFlibException(String msg, int errnum, String apiname)
      Parameters:
        `msg` - msg
        `errnum` - errnum
        `apiname` - apiname

  - ### Method Detail

    - #### get_errmsg

          public java.lang.String get_errmsg()

      Map standard getMessage method to get_errmsg.
      Returns:
        A string describing the error, or an empty string if the last API call didn't cause any error.

    - #### get_errnum

          public int get_errnum()

      Get the error number of the exception.
      Returns:
        The exception's error number.

    - #### get_apiname

          public java.lang.String get_apiname()

      Get the name of the API function which caused the exception.
      Returns:
        The name of an API function.